Subject: Re: bug#13749: 24.2; intermittent set-frame-width issue

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 20:13:08 +0100

[email-masked] writes:

> A small function I've been using forever:
>
> (defun resize-frame () 
>   (interactive) 
>   (set-frame-width (selected-frame) 80))
>
> has stopped working as I would expect.  Here's the behavior I see:
>
>   Assume two frames, A and B, both with frame-width 100
>
>   - resize-frame while A is the selected-frame and the frame resizes
>     to 80 as expected;
>
>   - drag the frame A width back to 100 with the mouse, resize-frame,
>     and there's no change: selected-frame is correct and frame-width
>     reports 100;
>
>   - make frame B the selected-frame, resize-frame, and the frame
>     resizes to 80 as expected;
>
>   - now make frame A the selected-frame; resize-frame; and the frame
>     resizes to 80 as expected.

(This bug report unfortunately got no response at the time.)

I tried reproducing this problem in Emacs 28, and I'm unable to -- the
function works as expected every time.  Are you still seeing this issue?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no